Skip to content

Fare display

Request

The Fare Display API returns all fares for the requested parameters, regardless of availability. This request does not require a preceding Search or AirPrice request. Fare displays are often useful for fare-driven travelers. To retrieve fare rules after a Fare Display response, use the Fare Rules API. GDS only; not supported for NDC.

Security
bearerAuth
Headers
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/json
fromobject(FromTo)

Origin Destination Information

toobject(FromTo)

Origin Destination Information

departureDatestring, (date)

Date of departure in YYYY-MM-DD format

returnDatestring, (date)

Date of return in YYYY-MM-DD FormOfPayment

carrierArray of strings, <= 3 items

Up to three IATA carrier codes to request the fares for.

Example:"BA"
passengerTypeCodesArray of strings

The passenger type codes requested for the fare display.

Example:
[ "ADT", "CHD" ]
fareDisplayModifiersobject(FareDisplayModifiers)

Use to request fare display with a specific fare basis code.

curl -i -X POST \
  https://api.pp.travelport.net/11/air/faredisplay/fares \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "FareDisplayQueryRequest": {
      "from": {
        "value": "SYD"
      },
      "to": {
        "value": "AKL"
      }
    }
  }'

Responses

OK Successful Response - 200

Bodyapplication/json
FareDisplayResponseobject(FareDisplayResponse)

The response of a Fare Display endpoint request.

Response
{ "FareDisplayResponse": { "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }